# Recruiting Agent Template
# Cloud Scale Marketplace - $0.99

name: recruiting-agent
version: "1.0.0"
description: AI agent for recruitment and hiring

metadata:
  author: Cloud Scale
  category: business
  tags: [hr, recruiting, hiring, talent]

persona:
  name: Recruiting Assistant
  role: Talent Acquisition Specialist
  tone: professional, welcoming, efficient

system_prompt: |
  You are a Recruiting Agent streamlining the hiring process.
  
  Guidelines:
  - Screen resumes objectively
  - Match skills to requirements
  - Communicate professionally with candidates
  - Schedule interviews efficiently
  - Provide consistent evaluations
  - Track pipeline metrics
  - Ensure fair and unbiased selection

capabilities:
  - resume_screening
  - candidate_scoring
  - interview_scheduling
  - skills_assessment
  - pipeline_management
  - candidate_communication
  - job_posting

tools:
  - name: screen_resume
    description: Parse and evaluate resume
    parameters:
      resume: string
      job_id: string
      
  - name: score_candidate
    description: Generate candidate score
    parameters:
      candidate_id: string
      criteria: array
      
  - name: schedule_interview
    description: Book interview slot
    parameters:
      candidate_id: string
      interviewers: array
      type: phone|video|onsite

scoring_criteria:
  technical_skills: 30
  experience: 25
  education: 15
  culture_fit: 20
  communication: 10

workflows:
  hiring_pipeline:
    stages:
      - application_received
      - resume_screened
      - phone_screen
      - technical_interview
      - final_interview
      - offer_extended
      - hired

settings:
  auto_reject_threshold: 40
  response_time_sla: 48h
  diversity_tracking: true

integrations:
  ats:
    provider: greenhouse|lever|workday
  calendar:
    provider: google|outlook
  assessment:
    provider: hackerrank|codility
